summaryrefslogtreecommitdiff
path: root/init.d/20restore-metadata
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/20restore-metadata')
-rwxr-xr-xinit.d/20restore-metadata10
1 files changed, 10 insertions, 0 deletions
diff --git a/init.d/20restore-metadata b/init.d/20restore-metadata
new file mode 100755
index 0000000..cd6174c
--- /dev/null
+++ b/init.d/20restore-metadata
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+# Note that metastore doesn't check that the .metastore file only changes
+# perms of files in the current directory. It's ok to trust the .metastore
+# file won't do anything shady, because, as documented, etckeeper-init
+# should only be run on repositories you trust.
+if [ -e .metadata ]; then
+ metastore --apply
+fi